# Method: privileges.list

Retrieves a paginated list of all privileges for a customer.

### HTTP request

`GET https://admin.googleapis.com/admin/directory/v1/customer/{customer}/roles/ALL/privileges`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` The unique ID for the customer's Google Workspace account. In case of a multi-domain account, to fetch all groups for a customer, use this field instead of `domain`. You can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users](https://developers.google.com/workspace/admin/directory/v1/reference/users) resource. You must provide either the `customer` or the `domain` parameter. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "items": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/privileges/list#Privilege`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` The type of the API resource. This is always `admin#directory#privileges`. |
| `etag` | `string` ETag of the resource. |
| `items[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/privileges/list#Privilege`)`` A list of Privilege resources. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.directory.rolemanagement`
- `
  https://www.googleapis.com/auth/admin.directory.rolemanagement.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## Privilege

| JSON representation |
|---|
| ``` { "serviceId": string, "kind": string, "etag": string, "isOuScopable": boolean, "childPrivileges": [ { object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/privileges/list#Privilege`) } ], "privilegeName": string, "serviceName": string } ``` |

| Fields ||
|---|---|
| `serviceId` | `string` The obfuscated ID of the service this privilege is for. This value is returned with [`Privileges.list()`](https://developers.google.com/workspace/admin/directory/v1/reference/privileges/list). |
| `kind` | `string` The type of the API resource. This is always `admin#directory#privilege`. |
| `etag` | `string` ETag of the resource. |
| `isOuScopable` | `boolean` If the privilege can be restricted to an organization unit. |
| `childPrivileges[]` | ``object (`https://developers.google.com/workspace/admin/directory/reference/rest/v1/privileges/list#Privilege`)`` A list of child privileges. Privileges for a service form a tree. Each privilege can have a list of child privileges; this list is empty for a leaf privilege. |
| `privilegeName` | `string` The name of the privilege. |
| `serviceName` | `string` The name of the service this privilege is for. |